Subject: Re: [BUG (maybe)] git rev-parse --verify --quiet isn't quiet

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Sep 2014 11:12:39 -0700

Junio C Hamano <[email-masked]> writes:

> I would suspect that this may be fine.
>
> "rev-parse --verify" makes sure the named object exists, but in this
> case @{u} does not even name any object, does it?

Hmph, but "rev-parse --verify no-such-branch" does *not* name any
object, we would want to see it barf, and we probably would want to
be able to squelch the message.  So it is unclear if @{u} barfing is
a good idea.

What is the reason why it is inpractical to pass 'quiet' down the
callchain?